메인 콘텐츠로 건너뛰기
POST
/
2
/
dm_conversations
/
with
/
{participant_id}
/
messages
참여자 ID로 DM 메시지 생성
curl --request POST \
  --url https://api.x.com/2/dm_conversations/with/{participant_id}/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "<string>",
  "attachments": [
    {
      "media_id": "1146654567674912769"
    }
  ]
}
'
{
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

인증

Authorization
string
header
필수

The access token received from the authorization server in the OAuth 2.0 flow.

경로 매개변수

participant_id
string
필수

DM을 받을 대상 사용자의 ID입니다. 이 사용자에 대한 고유 식별자입니다. 일부 언어나 도구에서 큰 정수를 제대로 처리하지 못하는 문제를 피하기 위해 문자열로 반환됩니다.

Pattern: ^[0-9]{1,19}$
예시:

"2244994945"

본문

application/json
text
string
필수

메시지의 텍스트입니다.

Minimum string length: 1
attachments
object[]

DM 이벤트에 대한 첨부 파일입니다.

응답

요청이 성공했습니다.

data
object
errors
object[]
Minimum array length: 1

IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체